<?php global $template_body_id; if (!$template_body_id) { $template_body_id = 'default'; } ?>
<?php global $template_body_class; if (!$template_body_class) { $template_body_class = 'default'; } ?>

<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8" />
	<meta name="description" content="Ubuntu brand, app and web guidelines that help you create professional materials, software, sites, apps that build the Ubuntu brand." />
	<meta name="keywords" content="Ubuntu, Design, Brand guidelines, web guidelines, apps guidelines, colors, buttons, layout, styleguide" />
	<meta name="author" content="Canonical" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0;">

	<title><?php wp_title('|', true, 'right'); ?><?php bloginfo('name'); ?></title>

	<link rel="shortcut icon" href="//assets.ubuntu.com/sites/ubuntu/latest/u/img/favicon.ico" type="image/x-icon" />

	<!-- fonts -->
	<link href='//fonts.googleapis.com/css?family=Ubuntu:400,300,300italic,400italic,700,700italic|Ubuntu+Mono' rel='stylesheet' type='text/css' />

	<!-- stylesheets -->
	<link rel="stylesheet" type="text/css" media="screen" href="//assets.ubuntu.com/sites/guidelines/css/responsive/latest/ubuntu-styles.css">
	<link rel="stylesheet" type="text/css" media="screen" href="//assets.ubuntu.com/sites/ubuntu/1207/u/css/beta/global-responsive.css">
	<link rel="stylesheet" type="text/css" media="print" href="//assets.ubuntu.com/sites/ubuntu/1207/u/css/core-print.css">

	<link rel="stylesheet" type="text/css" media="screen" href="<?php bloginfo('template_url'); ?>/css/scratch.css" />

	<script src="//assets.ubuntu.com/sites/ubuntu/latest/u/js/plugins/modernizr.2.7.1.js"></script>


</head>
<body id="<?php echo $template_body_id; ?>" class="<?php echo $template_body_class; ?>">

<header class="banner global" role="banner">
	<nav role="navigation" class="nav-primary nav-right">
		<div class="logo">
			<a class="logo-ubuntu" href="/">
				<img width="118" height="27" src="//assets.ubuntu.com/sites/ubuntu/latest/u/img/logos/logo-ubuntu-orange.png" alt="Ubuntu logo for print" />
				<span>Design</span>
			</a>
		</div>
		<ul>
			<li><a href="/audiences" class="first <?php if ($template_body_id == 'our-audiences-intro' || $template_body_id == 'our-audiences') { ?> active<?php } ?>">Our audiences</a></li>
			<li><a href="/brand"<?php if ($template_body_id == 'brand-assets-intro' || $template_body_id == 'brand-assets') { ?> class="active"<?php } ?>>Our brand</a></li>
			<li><a href="/web-style-guide"<?php if ($template_body_id == 'web-style-guide' || $template_body_id == 'web') { ?> class="active"<?php } ?>>Web</a></li>
			<li><a href="/apps"<?php if ($template_body_id == 'apps-intro' || $template_body_id == 'apps') { ?> class="active"<?php } ?>>Apps</a></li>
			<li><a href="/examples"<?php if ($template_body_id == 'examples') { ?> class="active"<?php } ?>>Examples</a></li>
			<li><a href="/downloads"<?php if ($template_body_id == 'downloads') { ?> class="active"<?php } ?>>Downloads</a></li>
		</ul>
		<form id="form-search" class="header-search" action="/search" method="get">
			<label class="accessibility-aid" for="search"><?php _e('Search:'); ?></label>
			<input type="search" maxlength="255" name="search" id="search" class="form-text" placeholder="Search" value="" />
			<button type="submit" name="submit"><img src="https://assets.ubuntu.com/sites/ubuntu/latest/u/img/search-white.svg" alt="Search" height="28" /></button>
		</form>
	</nav>
</header><!-- /# end header -->
<div class="wrapper">
	<div id="main-content" class="inner-wrapper">
		<?php if ($template_body_id == 'examples' || $template_body_id == 'downloads') : ?>
			<div class="row">
				<h1><?php echo ucwords($template_body_id); ?></h1>
			</div>
		<?php endif; ?>
