<?php
// Get posts
$args = array();
$args['post_type'] = 'downloads';
$args['posts_per_page'] = 5;
$terms = get_the_terms($post->ID, 'metadata');
$metadata = null;
if (!empty($terms)) {
	foreach ($terms as $term) {
		$metadata[] = $term->slug;
	}
}
if (!empty($metadata)) {
	$args['metadata'] = implode('+', $metadata);
}
$query = new WP_Query($args);
if ($query->have_posts() && !empty($metadata)) :
?>
<h3>Quick downloads</h3>
<ul class="loop-results-panel panel-downloads clearfix">
<?php
while ($query->have_posts()) : $query->the_post();
// Get post attachments
$args = array();
$args['post_type'] = 'attachment';
$args['post_parent'] = $post->ID;
$attachments = get_posts($args);
foreach ($attachments as $attachment) :
if ($attachment->ID != get_post_thumbnail_id($post->ID)) :
?>
	<li class="clearfix">
		<a href="<?php echo wp_get_attachment_url($attachment->ID, false); ?>"<?php $terms = (wp_get_post_terms($post->ID, 'metadata')); foreach ($terms as $term) : if ($term->slug == 'colour-white') : echo ' class="colour-white"'; endif; endforeach; ?>>
			<?php if (preg_match('/image/i', $attachment->post_mime_type)) : ?>
				<img src="<?php echo wp_get_attachment_thumb_url($attachment->ID); ?>" width="66" height="66" title="<?php echo $attachment->post_excerpt; ?>" alt="<?php echo $attachment->post_excerpt; ?>" />
			<?php else : ?>
				<?php if (has_post_thumbnail()) :
					echo the_post_thumbnail(array(66, 66), array('alt' => '', 'title' => ''));
				else : ?>
					<img src="<?php echo get_template_directory_uri(); ?>/img/icon-file-generic.png" width="66" height="66" title="<?php echo $attachment->post_excerpt; ?>" alt="<?php echo $attachment->post_excerpt; ?>" />
				<?php endif; ?>
			<?php endif; ?>
		</a>
		<?php echo $attachment->post_excerpt; ?><br/>
		<a href="<?php echo wp_get_attachment_url($attachment->ID, false); ?>">
			Download <?php echo getPostAttachmentExtension($attachment->post_mime_type) . ' (' . getPostAttachmentFilesize(get_attached_file($attachment->ID)) . ')'; ?>
		</a>
	</li>
<?php
endif;
endforeach;
endwhile;
?>
	<li class="last"><a href="/downloads">Browse all downloads &rsaquo;</a></li>
</ul>
<?php
endif;
wp_reset_query();
?>