<?php
// Get posts
$args = array();
$args['post_type'] = 'examples';
$args['posts_per_page'] = 9;
$terms = get_the_terms($post->ID, 'metadata');
$metadata = null;
if (!empty($terms)) {
	foreach ($terms as $term) {
		$metadata[] = $term->slug;
	}
}
if (!empty($metadata)) {
	$args['metadata'] = implode('+', $metadata);
}
$query = new WP_Query($args);
$count = 1;
if ($query->have_posts() && !empty($metadata)) :
?>
<h3>Examples of use</h3>
<ul class="loop-results-panel panel-examples clearfix">
<?php
while ($query->have_posts()) : $query->the_post();
// Get post attachments
$args = array();
$args['post_type'] = 'attachment';
$args['post_parent'] = $post->ID;
$attachments = get_posts($args);
foreach ($attachments as $attachment) :
?>
	<li<?php if ($count % 3 == 0): ?> class="row-end"<?php endif; ?>>
		<a class="pretty-photo" href="<?php echo wp_get_attachment_url($attachment->ID, false); ?>">
			<img src="<?php echo wp_get_attachment_thumb_url($attachment->ID); ?>" width="66" height="66" title="<?php echo $attachment->post_excerpt; ?>" alt="<?php echo $attachment->post_excerpt; ?>" />
		</a>
	</li>
<?php
$count++;
endforeach;
endwhile;
?>
	<li class="last"><a href="/examples">Browse all examples &rsaquo;</a></li>
</ul>
<?php
endif;
wp_reset_query();
?>