<?php
/*
Template Name: Home
*/
$template_body_id = 'home';
$template_body_class = 'home';
?>

<?php get_header(); ?>

	<div class="row row-hero">
		<div class="six-col last-col">
			<h1><span>You make Ubuntu <br/>You use Ubuntu <br/>You talk Ubuntu</span> <br/>Ubuntu is yours</h1>
			<h2>The Ubuntu Brand Guidelines exist so we can all communicate Ubuntu with the same precision we use to make it.</h2>
		</div>
		<div class="six-col last-col">
			<img src="<?php echo get_template_directory_uri(); ?>/img/hero-dots.png" width="460" height="380" alt="Ubuntu colours arranged as a dot pattern" />
		</div>
	</div>
	<div class="row row-grey row-image-centered">
		<span>
			<img src="http://design.ubuntu.com/wp-content/uploads/knowledge_orange_hex2.png" alt="knowledge pictogram" title="knowledge_orange_hex" width="140" height="113" class="alignleft size-full wp-image-730"/>
		</span>
		<div class="nine-col">
			<h2>Why do we need guidelines?</h2>
			<p>Our values should be evident wherever Ubuntu is encountered, whether online or via traditional marketing material. If we follow these guidelines consistently, the brand will grow strong enough to attract people, encouraging them to look even more positively on the product itself.</p>
			<p>These guidelines provide everything you need to create professional communication <br/>materials that will build the Ubuntu brand. To help ensure the continued success of Ubuntu, please use them.</p>
		</div>
	</div>
	<div class="row vertical-divider">
		<h2>Our values</h2>
		<p class="eight-col append-four">We believe everyone has the right to a great computing experience &mdash; and we also believe it should be free. Ubuntu is the result of a growing community, working together to provide just that. As such, the Ubuntu brand embodies four values:<br/><br/></p>
		<div class="three-col">
			<h3>Freedom</h3>
			<p>Ubuntu celebrates freedom. Freedom to choose, to change, to participate.</p>
		</div>
		<div class="three-col">
			<h3>Reliable</h3>
			<p>You can depend on Ubuntu. Like the people who make it, it is trustworthy and keeps its promises.</p>
		</div>
		<div class="three-col">
			<h3>Precise</h3>
			<p>Ubuntu is crisp and clean in engineering and attitude. There is beauty in the precision of the process and product.</p>
		</div>
		<div class="three-col last-col">
			<h3>Collaborative</h3>
			<p>Working together is at the heart of Ubuntu. It is the essence of &rsquo;humanity towards others&lsquo;.</p>
		</div>
	</div>
	<div class="row">
		<div class="three-col">
			<h3><a href="/audiences">Our audiences &rsaquo;</a></h3>
			<p>Find out how to tailor your designs depending on which audience you are catering for, with the help of three handy sliders.</p>
		</div>
		<div class="three-col">
			<h3><a href="/brand">Brand assets &rsaquo;</a></h3>
			<p>Learn about the elements that constitute the Ubuntu brand and how to use them, such as the Ubuntu and Canonical logos, pictograms, photography, etc.</p>
		</div>
		<div class="three-col">
			<h3><a href="/web-style-guide">Web guidelines &rsaquo;</a></h3>
			<p>See how to use the Ubuntu brand on the web, from the logo to the Ubuntu font family, colours, forms, navigation and more design patterns and components.</p>		
		</div>
		<div class="three-col last-col">
			<h3>Quick links</h3>
			<ul class="list">
				<li><a href="/brand-assets/ubuntu-logo">Ubuntu logo &rsaquo;</a></li>
				<li><a href="/brand-assets/canonical-logo">Canonical logo &rsaquo;</a></li>
				<li class="last"><a href="/brand-assets/colour-palette">Colour palette &rsaquo;</a></li>
			</ul>
		</div>
	</div>
	<div class="row no-border">
		<div class="box-padded sliding">
			<div class="slider-controls">
				<div class="next"></div>
				<div class="prev disabled"></div>
			</div>
			<h3>Get inspired</h3>

			<div>
				<?php
				// Get posts
				$args = array();
				$args['post_type'] = 'examples';
				$args['posts_per_page'] = 15;
				$query = new WP_Query($args);
				?>
				<ul class="slider clearfix">
				<?php
				$count = 1;
				if ($query->have_posts()) : while ($query->have_posts()) : $query->the_post();
				// Get post attachments
				$args = array();
				$args['post_type'] = 'attachment';
				$args['post_parent'] = $post->ID;
				$attachments = get_posts($args);
				foreach ($attachments as $attachment) :
				?>
					<li<?php if ($count % 5 == 0): ?> class="row-end"<?php endif; ?>>
						<a class="pretty-photo" href="<?php echo wp_get_attachment_url($attachment->ID, false); ?>">
							<img src="<?php echo wp_get_attachment_thumb_url($attachment->ID); ?>" width="140" height="140" title="<?php echo $attachment->post_excerpt; ?>" alt="<?php echo $attachment->post_excerpt; ?>" />
						</a>
					</li>
				<?php
				$count++;
				endforeach;
				endwhile;
				else :
				?>
					<li class="loop-error">Sorry, no results have been found</li>
				<?php
				endif;
				wp_reset_query();
				?>
				</ul>
				<ul class="slider-jump">
					<li class="dot1 active"></li>
					<li class="dot2"></li>
					<li class="dot3"></li>
				</ul>
			</div>
		</div>
	</div>

<?php get_footer(); ?>
